summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2010-06-23 21:07:53 (GMT)
committerBritney Fransen <brfransen@gmail.com>2010-06-23 21:07:53 (GMT)
commitd5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca (patch)
tree6b7c25cc049fc60e31d73a37ed33cc8f1acd6f76
parent1c934c370d8bf6e981bf162d0da352e221f3c135 (diff)
downloadlinhes_pkgbuild-d5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca.zip
linhes_pkgbuild-d5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca.tar.gz
linhes_pkgbuild-d5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca.tar.bz2
LinHES-system: Update LinHES-run, mythbackup and mythrestore to use osd_cat.cfg
-rwxr-xr-x[-rw-r--r--]abs/core-testing/LinHES-system/LinHES-run20
-rwxr-xr-x[-rw-r--r--]abs/core-testing/LinHES-system/PKGBUILD6
-rwxr-xr-xabs/core-testing/LinHES-system/bin/mythbackup11
-rwxr-xr-xabs/core-testing/LinHES-system/bin/mythrestore11
4 files changed, 38 insertions, 10 deletions
diff --git a/abs/core-testing/LinHES-system/LinHES-run b/abs/core-testing/LinHES-system/LinHES-run
index aa2c3bd..d5a3a15 100644..100755
--- a/abs/core-testing/LinHES-system/LinHES-run
+++ b/abs/core-testing/LinHES-system/LinHES-run
@@ -1,14 +1,22 @@
#!/bin/sh
function msg(){
- echo -e "$1" | osd_cat --font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*" --shadow=3 --pos=middle --align=centre --offset=200 --color=yellow --delay=5 &
-
+ echo -e "$1" | osd_cat --pos=middle --align=center --offset=200 --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
. /etc/profile
. /etc/systemconfig
-idle=1
-jitter=200
-. /etc/unclutter.cfg
+. /etc/unclutter.cfg || {
+ idle=1
+ jitter=200
+}
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#keylaunch &
#/usr/bin/tilda &
@@ -30,7 +38,7 @@ mtd &
if [ x$ShowTips = "x1" ]
then
- echo "Alt+h for help" | osd_cat --font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*" --shadow=3 --pos=middle --align=centre --offset=200 --color=yellow --delay=5 &
+ msg "Alt+h for help" &
fi
# Run any scripting that applies to special hardware. These brand-specific commands that run
diff --git a/abs/core-testing/LinHES-system/PKGBUILD b/abs/core-testing/LinHES-system/PKGBUILD
index 5ac73ea..0e699f4 100644..100755
--- a/abs/core-testing/LinHES-system/PKGBUILD
+++ b/abs/core-testing/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=LinHES-system
pkgver=1.1
-pkgrel=31
+pkgrel=32
arch=('i686')
MVDIR=$startdir/pkg/usr/LH
BINDIR=$startdir/pkg/usr/bin
@@ -37,13 +37,15 @@ build() {
mkdir $startdir/pkg/etc/logrotate.d
cp $startdir/myth_mtc.lr $startdir/pkg/etc/logrotate.d
}
+
+
md5sums=('19934a456d0e112298b8aac3279f9a16'
'5881bdb43d578ec3a79d1f77ea58a3db'
'a875ee97f86e46f34a741c2bc455f894'
'cdcbc530224215f8fcf7ebcd93d7eb0b'
'c60b6c66f498809a6e5ca18a8c97d336'
'ccae1296ef248fa52ec3a7cb820a476e'
- 'ebb35d5f685674cc86c864df760eff20'
+ 'b58b59c05faeefd4acbbb7876215c875'
'18a884a73344ff6eb74f63b49745e0f5'
'dc3eef2a624754e16805d72bbe488b67'
'dc0be354ce77ba2b89868fc29b942c43'
diff --git a/abs/core-testing/LinHES-system/bin/mythbackup b/abs/core-testing/LinHES-system/bin/mythbackup
index cf4d491..3b4edd4 100755
--- a/abs/core-testing/LinHES-system/bin/mythbackup
+++ b/abs/core-testing/LinHES-system/bin/mythbackup
@@ -5,6 +5,15 @@
echo 1>&2 "Can not load common settings!"
exit 1
}
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#----------------------------------------------------------------------------
# Function to display status onscreen
@@ -19,7 +28,7 @@ osd()
TEXT="\n"$TEXT
done
fi
- printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color white -O 2 -u black -f -adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-* &
+ printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
# Prevent mythshutdown from shutting down the system in the middle...
diff --git a/abs/core-testing/LinHES-system/bin/mythrestore b/abs/core-testing/LinHES-system/bin/mythrestore
index 0ab5c86..447b0b8 100755
--- a/abs/core-testing/LinHES-system/bin/mythrestore
+++ b/abs/core-testing/LinHES-system/bin/mythrestore
@@ -5,6 +5,15 @@
echo 1>&2 "Can not load common settings!"
exit 1
}
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#----------------------------------------------------------------------------
# Function to display status onscreen
@@ -19,7 +28,7 @@ osd()
TEXT="\n"$TEXT
done
fi
- printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color white -O 2 -u black -f -adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-* &
+ printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
do_file_updates() { # A function because we need to do this in two places